## edtsurf 0.2009

=== Makefile ===
EDTSurf : ParsePDB.o ProteinSurface.o EDTSurf.o
	g++ ParsePDB.o ProteinSurface.o EDTSurf.o -o EDTSurf
	rm *.o
ProteinSurface.o : ProteinSurface.cpp
	g++ -c ProteinSurface.cpp -o ProteinSurface.o
ParsePDB.o : ParsePDB.cpp
	g++ -c ParsePDB.cpp -o ParsePDB.o
EDTSurf.o : EDTSurf.cpp
	g++ -c EDTSurf.cpp -o EDTSurf.o

=== debian/changelog ===
edtsurf (0.2009-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Add fake watch file
  * Standards-Version: 4.1.1
  * hardening=+all
  * DEP5

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2017 14:43:01 +0100

edtsurf (0.2009-4) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * debian/patches/fix-use-of-unsigned-char.patch:
    - Add patch to fix use of unsigned char (Closes: #856233)

  [ Andreas Tille ]
  * moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Mon, 27 Feb 2017 15:50:54 +0100

edtsurf (0.2009-3) unstable; urgency=medium

  * Fix Vcs URL subdirectory

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jan 2014 15:52:01 +0100

edtsurf (0.2009-2) unstable; urgency=medium

  * debian/control:
     - Take over package into team maintenance
     - Priority: optional
     - debhelper 9
     - cme fix dpkg-control
     - no versioned Build-Depends from dpkg-dev since with debhelper 9
       we get the proper build options automatically
  * polished help2man export to get some kind of manpage
  * debian/upstream: Add PMID + URL

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 18:40:21 +0100

edtsurf (0.2009-1) unstable; urgency=low

  * Initial release (Closes: #689163)

 -- Steffen Moeller <moeller@debian.org>  Sat, 29 Sep 2012 16:54:15 +0200

=== debian/control ===
Source: edtsurf
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/edtsurf.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/edtsurf.git
Homepage: http://zhanglab.ccmb.med.umich.edu/EDTSurf/

Package: edtsurf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: meshlab
Description: triangulated mesh surfaces for protein structures
 EDTSurf is a open source program to construct triangulated surfaces
 for macromolecules. It generates three major macromolecular surfaces:
 van der Waals surface, solvent-accessible surface and molecular surface
 (solvent-excluded surface). EDTsurf also identifies cavities which are
 inside of macromolecules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ 

override_dh_clean:
	dh_clean
	rm -f EDTSurf
